petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCBDDCGetDirichletBoundaries

Get parallel IS for Dirichlet boundaries

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetDirichletBoundaries(PC pc,IS *DirichletBoundaries)

Collective Many br

### Input Parameters

pc -the preconditioning context Many br

### Output Parameters

DirichletBoundaries -index set defining the Dirichlet boundaries Many br

Many br

### Notes

The IS returned (if any) is the same passed in earlier by the user with PCBDDCSetDirichletBoundaries Many br

### See Also

PCBDDC

Level:intermediate
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages